import Vue from 'vue'
import Vuex from 'vuex'
import axios from 'axios'
Vue.use(Vuex)

export default new Vuex.Store(
    {
        state: {
            users:[]
          },
          getters: {
            usersList:state=>state.users
          },
          actions:{
            async fetchUsers({commit}){
                const response = await axios.get("http://localhost:3000/users");
                commit("setUsers", response.data)
              },
              async addUsers({commit}, user){
                const response = await axios.post("http://localhost:3000/users", user);
                commit("addNewUser", response.data)
              },
            
          },
          mutations:{
            setUsers: (state, users) => (
                state.users = users
            ),
            addNewUser: (state, user) => state.users.unshift(user),
          

          }

          }
          
     
)